(function($){

    $.fn.extend({

        leanModal: function(options, onClose) {

            var defaults = {
                top: 100,
                overlay: 0.2,
                closeButton: null
            }

            var overlay = $("<div id='lean_overlay'></div>");

            $("body").append(overlay);

            options =  $.extend(defaults, options);

            return this.each(function() {

                var o = options;

                $(this).click(function(e) {

              	var modal_id = $(this).attr("href");
                if($(modal_id).css('display') == 'none') {


				        $("#lean_overlay").one( "click", function() {
                     close_modal(modal_id);
                     onClose();
                });

                $("#closebutton").one( "click", function() {
                    close_modal(modal_id);
                    onClose();
                });

              var modal_height = $(modal_id).outerHeight();
        	  	var modal_width = $(modal_id).outerWidth();

        		$('#lean_overlay').css({ 'display' : 'block', opacity : 0 });

        		$('#lean_overlay').fadeTo(200,o.overlay);
            $('.container').addClass('blur');
        		$(modal_id).css({

        			'display' : 'block',
        			'position' : 'fixed',
        			'opacity' : 0,
        			'z-index': 11000,
        			'left' : 50 + '%',
        			'margin-left' : -(modal_width/2) + "px",
        			'top' : o.top + "px"

        		});

        		$(modal_id).fadeTo(200,1);

                e.preventDefault();
                  }
              	});

            });

			function close_modal(modal_id){


        		$("#lean_overlay").fadeOut(200);
            $('.container').removeClass('blur');
        		$(modal_id).css({ 'display' : 'none' });


			}

        }
    });

})(jQuery);
